summaryrefslogtreecommitdiff
path: root/include/vendor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/vendor.sh')
-rw-r--r--include/vendor.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/include/vendor.sh b/include/vendor.sh
index 5d2b91b3..03c7ad7d 100644
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -299,7 +299,8 @@ patch_release_roms()
patch_rom()
{
- rom="$1"; . "$(check_defconfig "$boarddir")" 2>/dev/null || exit 0
+ rom="$1"
+ readkconfig || exit 0
[ "$CONFIG_HAVE_MRC" = "y" ] && inject "mrc.bin" "$CONFIG_MRC_FILE" \
"mrc" "0xfffa0000"